Get Promotion by ID
1 min
GET
https://api.upstartcommerce.com/v1/promotion/{promotionId}
promotionIdstringUnique identifier for the promotion.
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
200<p>Success-promotion returned.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
403<p>An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.</p>
404The requested resource was not found in the NoChannel system.
curl --request GET \
--url https://api.upstartcommerce.com/v1/promotion/{promotionId} \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'